#include<bits/stdc++.h>

using namespace std;
bool tgiac(int a,int b,int c)
{
	if((a+b>c)&&(b+c>a)&&(c+a>b))
	{
		return true;
	}
	else
	{
		return false;
	}
}

int main()
{
	int n;
	int a[100];
	ifstream f1("BAI2_18.INP");
	ofstream f2("BAI2_18.OUT");
	f1>>n;
	for(int i=0;i<n;i++)
	{
		f1>>a[i];
	}
	int dem=0;
	for(int i=0;i<n;i++)
	{
		for(int j=i+1;j<n;j++)
		{
			for(int m=j+1;m<n;m++)
			{
				if(tgiac(a[i],a[j],a[m])==true)
				{
					dem++;
				} 
			}
		}
	}
	f2<<dem;
	f1.close();
	f2.close();
}
